package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.DictItemManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class DictItemApi {

    @Autowired
    private DictItemManager dictItemManager;

    public DictItemCreateResponse create(DictItemCreateRequest request) {
        return dictItemManager.create(request, LocalData.getToken());
    }

    public DictItemDeleteResponse delete(DictItemDeleteRequest request) {
        return dictItemManager.delete(request, LocalData.getToken());
    }

    public DictItemUpdateResponse update(DictItemUpdateRequest request) {
        return dictItemManager.update(request, LocalData.getToken());
    }

    public DictItemFindResponse find(DictItemFindRequest request) {
        return dictItemManager.find(request, LocalData.getToken());
    }

    public DictItemGetResponse get(DictItemGetRequest request) {
        return dictItemManager.get(request, LocalData.getToken());
    }
}
